#ifndef PRAGMADOS_H
#define PRAGMADOS_H

#ifndef	EXEC_TYPES_H
# include <exec/types.h>
#endif
#ifndef CLIB_DOS_PROTOS_H
# include <clib/dos_protos.h>
#endif

/* "dos.library" */
#pragma amicall(DOSBase, 0x1E, Open(d1,d2))
#pragma amicall(DOSBase, 0x24, Close(d1))
#pragma amicall(DOSBase, 0x2A, Read(d1,d2,d3))
#pragma amicall(DOSBase, 0x30, Write(d1,d2,d3))
#pragma amicall(DOSBase, 0x36, Input())
#pragma amicall(DOSBase, 0x3C, Output())
#pragma amicall(DOSBase, 0x42, Seek(d1,d2,d3))
#pragma amicall(DOSBase, 0x48, DeleteFile(d1))
#pragma amicall(DOSBase, 0x4E, Rename(d1,d2))
#pragma amicall(DOSBase, 0x54, Lock(d1,d2))
#pragma amicall(DOSBase, 0x5A, UnLock(d1))
#pragma amicall(DOSBase, 0x60, DupLock(d1))
#pragma amicall(DOSBase, 0x66, Examine(d1,d2))
#pragma amicall(DOSBase, 0x6C, ExNext(d1,d2))
#pragma amicall(DOSBase, 0x72, Info(d1,d2))
#pragma amicall(DOSBase, 0x78, CreateDir(d1))
#pragma amicall(DOSBase, 0x7E, CurrentDir(d1))
#pragma amicall(DOSBase, 0x84, IoErr())
#pragma amicall(DOSBase, 0x8A, CreateProc(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x90, Exit(d1))
#pragma amicall(DOSBase, 0x96, LoadSeg(d1))
#pragma amicall(DOSBase, 0x9C, UnLoadSeg(d1))
/* #pragma amicall(DOSBase, 0xA2, ClearVec(d1,d2)) */
/* #pragma amicall(DOSBase, 0xA8, NoReqLoadSeg(d1)) */
#pragma amicall(DOSBase, 0xAE, DeviceProc(d1))
#pragma amicall(DOSBase, 0xB4, SetComment(d1,d2))
#pragma amicall(DOSBase, 0xBA, SetProtection(d1,d2))
#pragma amicall(DOSBase, 0xC0, DateStamp(d1))
#pragma amicall(DOSBase, 0xC6, Delay(d1))
#pragma amicall(DOSBase, 0xCC, WaitForChar(d1,d2))
#pragma amicall(DOSBase, 0xD2, ParentDir(d1))
#pragma amicall(DOSBase, 0xD8, IsInteractive(d1))
#pragma amicall(DOSBase, 0xDE, Execute(d1,d2,d3))
/*--- functions in V36 or higher (distributed as Preliminary Release 2.0) --- */
/*	DOS Object creation,deletion */
#pragma amicall(DOSBase, 0xE4, AllocDosObject(d1,d2))
#pragma amicall(DOSBase, 0xEA, FreeDosObject(d1,d2))
/*	Packet Level routines */
#pragma amicall(DOSBase, 0xF0, DoPkt(d1,d2,d3,d4,d5,d6))
#pragma amicall(DOSBase, 0xF6, SendPkt(d1,d2,d3))
#pragma amicall(DOSBase, 0xFC, WaitPkt())
#pragma amicall(DOSBase, 0x102, ReplyPkt(d1,d2,d3))
#pragma amicall(DOSBase, 0x108, AbortPkt(d1))
/*	Record Locking */
#pragma amicall(DOSBase, 0x10E, LockRecord(d1,d2,d3,d4,d5))
#pragma amicall(DOSBase, 0x114, LockRecords(d1,d2))
#pragma amicall(DOSBase, 0x11A, UnLockRecord(d1,d2,d3))
#pragma amicall(DOSBase, 0x120, UnLockRecords(d1))
/*	Buffered File I/O */
#pragma amicall(DOSBase, 0x126, SelectInput(d1))
#pragma amicall(DOSBase, 0x12C, SelectOutput(d1))
#pragma amicall(DOSBase, 0x132, FGetC(d1))
#pragma amicall(DOSBase, 0x138, FPutC(d1,d2))
#pragma amicall(DOSBase, 0x13E, UnGetC(d1,d2))
#pragma amicall(DOSBase, 0x144, FRead(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x14A, FWrite(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x150, FGets(d1,d2,d3))
#pragma amicall(DOSBase, 0x156, FPuts(d1,d2))
#pragma amicall(DOSBase, 0x15C, VFWritef(d1,d2,d3))
#pragma amicall(DOSBase, 0x162, VFPrintf(d1,d2,d3))
#pragma amicall(DOSBase, 0x168, Flush(d1))
#pragma amicall(DOSBase, 0x16E, SetVBuf(d1,d2,d3))
/*	DOS Object Management */
#pragma amicall(DOSBase, 0x174, DupLockFromFH(d1))
#pragma amicall(DOSBase, 0x17A, OpenFromLock(d1,d2))
#pragma amicall(DOSBase, 0x180, ParentOfFH(d1))
#pragma amicall(DOSBase, 0x186, ExamineFH(d1,d2))
#pragma amicall(DOSBase, 0x18C, SetFileDate(d1,d2))
#pragma amicall(DOSBase, 0x192, NameFromLock(d1,d2,d3))
#pragma amicall(DOSBase, 0x198, NameFromFH(d1,d2,d3))
#pragma amicall(DOSBase, 0x19E, SplitName(d1,d2,d3,d4,d5))
#pragma amicall(DOSBase, 0x1A4, SameLock(d1,d2))
#pragma amicall(DOSBase, 0x1AA, SetMode(d1,d2))
#pragma amicall(DOSBase, 0x1B0, ExAll(d1,d2,d3,d4,d5))
#pragma amicall(DOSBase, 0x1B6, ReadLink(d1,d2,d3,d4,d5))
#pragma amicall(DOSBase, 0x1BC, MakeLink(d1,d2,d3))
#pragma amicall(DOSBase, 0x1C2, ChangeMode(d1,d2,d3))
#pragma amicall(DOSBase, 0x1C8, SetFileSize(d1,d2,d3))
/*	Error Handling */
#pragma amicall(DOSBase, 0x1CE, SetIoErr(d1))
#pragma amicall(DOSBase, 0x1D4, Fault(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x1DA, PrintFault(d1,d2))
#pragma amicall(DOSBase, 0x1E0, ErrorReport(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x1E6, Requester(d1,d2,d3,d4))
/*	Process Management */
#pragma amicall(DOSBase, 0x1EC, Cli())
#pragma amicall(DOSBase, 0x1F2, CreateNewProc(d1))
#pragma amicall(DOSBase, 0x1F8, RunCommand(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x1FE, GetConsoleTask())
#pragma amicall(DOSBase, 0x204, SetConsoleTask(d1))
#pragma amicall(DOSBase, 0x20A, GetFileSysTask())
#pragma amicall(DOSBase, 0x210, SetFileSysTask(d1))
#pragma amicall(DOSBase, 0x216, GetArgStr())
#pragma amicall(DOSBase, 0x21C, SetArgStr(d1))
#pragma amicall(DOSBase, 0x222, FindCliProc(d1))
#pragma amicall(DOSBase, 0x228, MaxCli())
#pragma amicall(DOSBase, 0x22E, SetCurrentDirName(d1))
#pragma amicall(DOSBase, 0x234, GetCurrentDirName(d1,d2))
#pragma amicall(DOSBase, 0x23A, SetProgramName(d1))
#pragma amicall(DOSBase, 0x240, GetProgramName(d1,d2))
#pragma amicall(DOSBase, 0x246, SetPrompt(d1))
#pragma amicall(DOSBase, 0x24C, GetPrompt(d1,d2))
#pragma amicall(DOSBase, 0x252, SetProgramDir(d1))
#pragma amicall(DOSBase, 0x258, GetProgramDir())
/*	Device List Management */
#pragma amicall(DOSBase, 0x25E, System(d1,d2))
#pragma amicall(DOSBase, 0x264, AssignLock(d1,d2))
#pragma amicall(DOSBase, 0x26A, AssignLate(d1,d2))
#pragma amicall(DOSBase, 0x270, AssignPath(d1,d2))
#pragma amicall(DOSBase, 0x276, AssignAdd(d1,d2))
#pragma amicall(DOSBase, 0x27C, RemAssignList(d1,d2))
#pragma amicall(DOSBase, 0x282, GetDeviceProc(d1,d2))
#pragma amicall(DOSBase, 0x288, FreeDeviceProc(d1))
#pragma amicall(DOSBase, 0x28E, LockDosList(d1))
#pragma amicall(DOSBase, 0x294, UnLockDosList(d1))
#pragma amicall(DOSBase, 0x29A, AttemptLockDosList(d1))
#pragma amicall(DOSBase, 0x2A0, RemDosEntry(d1))
#pragma amicall(DOSBase, 0x2A6, AddDosEntry(d1))
#pragma amicall(DOSBase, 0x2AC, FindDosEntry(d1,d2,d3))
#pragma amicall(DOSBase, 0x2B2, NextDosEntry(d1,d2))
#pragma amicall(DOSBase, 0x2B8, MakeDosEntry(d1,d2))
#pragma amicall(DOSBase, 0x2BE, FreeDosEntry(d1))
#pragma amicall(DOSBase, 0x2C4, IsFileSystem(d1))
/*	Handler Interface */
#pragma amicall(DOSBase, 0x2CA, Format(d1,d2,d3))
#pragma amicall(DOSBase, 0x2D0, Relabel(d1,d2))
#pragma amicall(DOSBase, 0x2D6, Inhibit(d1,d2))
#pragma amicall(DOSBase, 0x2DC, AddBuffers(d1,d2))
/*	Date, Time Routines */
#pragma amicall(DOSBase, 0x2E2, CompareDates(d1,d2))
#pragma amicall(DOSBase, 0x2E8, DateToStr(d1))
#pragma amicall(DOSBase, 0x2EE, StrToDate(d1))
/*	Image Management */
#pragma amicall(DOSBase, 0x2F4, InternalLoadSeg(d0,a0,a1,a2))
#pragma amicall(DOSBase, 0x2FA, InternalUnLoadSeg(d1,a1))
#pragma amicall(DOSBase, 0x300, NewLoadSeg(d1,d2))
#pragma amicall(DOSBase, 0x306, AddSegment(d1,d2,d3))
#pragma amicall(DOSBase, 0x30C, FindSegment(d1,d2,d3))
#pragma amicall(DOSBase, 0x312, RemSegment(d1))
/*	Command Support */
#pragma amicall(DOSBase, 0x318, CheckSignal(d1))
#pragma amicall(DOSBase, 0x31E, ReadArgs(d1,d2,d3))
#pragma amicall(DOSBase, 0x324, FindArg(d1,d2))
#pragma amicall(DOSBase, 0x32A, ReadItem(d1,d2,d3))
#pragma amicall(DOSBase, 0x330, StrToLong(d1,d2))
#pragma amicall(DOSBase, 0x336, MatchFirst(d1,d2))
#pragma amicall(DOSBase, 0x33C, MatchNext(d1))
#pragma amicall(DOSBase, 0x342, MatchEnd(d1))
#pragma amicall(DOSBase, 0x348, ParsePattern(d1,d2,d3))
#pragma amicall(DOSBase, 0x34E, MatchPattern(d1,d2))
/*--- (1 function slot reserved here) --- */
#pragma amicall(DOSBase, 0x35A, FreeArgs(d1))
/*--- (1 function slot reserved here) --- */
#pragma amicall(DOSBase, 0x366, FilePart(d1))
#pragma amicall(DOSBase, 0x36C, PathPart(d1))
#pragma amicall(DOSBase, 0x372, AddPart(d1,d2,d3))
/*	Notification */
#pragma amicall(DOSBase, 0x378, StartNotify(d1))
#pragma amicall(DOSBase, 0x37E, EndNotify(d1))
/*	Environment Variable functions */
#pragma amicall(DOSBase, 0x384, SetVar(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x38A, GetVar(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x390, DeleteVar(d1,d2))
#pragma amicall(DOSBase, 0x396, FindVar(d1,d2))
/* #pragma amicall(DOSBase, 0x39C, CliInit(a0)) */
/* #pragma amicall(DOSBase, 0x3A2, CliInitNewcli(a0)) */
/* #pragma amicall(DOSBase, 0x3A8, CliInitRun(a0)) */
#pragma amicall(DOSBase, 0x3AE, WriteChars(d1,d2))
#pragma amicall(DOSBase, 0x3B4, PutStr(d1))
#pragma amicall(DOSBase, 0x3BA, VPrintf(d1,d2))

#endif /* PRAGMADOS_H */
